minor improvements
authorIan Kelling <ian@iankelling.org>
Wed, 16 Feb 2022 02:27:38 +0000 (21:27 -0500)
committerIan Kelling <ian@iankelling.org>
Wed, 16 Feb 2022 02:27:38 +0000 (21:27 -0500)
brc
brc2
distro-begin
iboot
keyscript-on
sl/.iank/ex [deleted symlink]

diff --git a/brc b/brc
index 0b89b663c9173b0f0aedb0c7cc87420bd247ce89..c47fca957f6c178a767369f9ca3e8caa9595155d 100644 (file)
--- a/brc
+++ b/brc
@@ -594,8 +594,12 @@ ev() {
     echo no args
   fi
   for arg; do
-    printf "%qEOL\n" "${!arg}"
-    printf "%s" "${!arg}" |& hexdump -C
+    if [[ -v $arg ]]; then
+      printf "%qEOL\n" "${!arg}"
+      printf "%s" "${!arg}" |& hexdump -C
+    else
+      echo arg $arg is unset
+    fi
   done
 }
 
@@ -1415,16 +1419,25 @@ sgu() {
 
 
 sk() {
-  # 2029: "unescaped, this expands on the client side." yes, I know how ssh works
-  # 2164: "Use 'cd ... || exit' or 'cd ... || return' in case cd fails." i have automatic error handling
-  # 2086: unquoted $var
+
+
+  # note, if you do something like this
+  # x=( prefix* )
+  # then disable the warning with:
+  # shellcheck disable=SC2206 # globbing is intended
+
+  # 2029: "unescaped, this expands on the client side.": yes, I know how ssh works
+  # 2164: "Use 'cd ... || exit' or 'cd ... || return' in case cd fails.": i have automatic error handling
+  # 2086: unquoted $var: Quoting every var I set is way too much quotes.
+  # 2068: Double quote array expansions to avoid re-splitting elements: same as above.
+  # 2033: command arg is a function name: too many false positives.
+
+
+  # these ones I had disabled, but without a good written explanation, so enabling them temporarily
   # 2046: unquoted $(cmd)
-  # 2068: Double quote array expansions to avoid re-splitting elements.
   # 2119: Functions with optional args get bad warnings when none are passed.
-  # 2033: too many false positives for thing that will never work, passing shell function to find.
-  # i had -x as an arg, but debian testing(stretch) doesn\'t support it
-  shellcheck -x -e 2029,2164,2086,2046,2068,2119,2033 "$@" || return $?
-  # had this before. not sure what it is 2119
+
+  shellcheck -W 999 -x -e 2029,2164,2086,2068,2033 "$@" || return $?
 }
 
 
diff --git a/brc2 b/brc2
index 6f0d016b935c58b2dd6a4605097317ca893fd6dc..6effa21c788e939e514c7a1c17887bae135c9bea 100644 (file)
--- a/brc2
+++ b/brc2
@@ -1288,7 +1288,7 @@ pumpa() {
   # other tiling window managers in giving up on setting it at all
   #
   xprop -root -remove _NET_WORKAREA
-  command pumpa &r
+  command pumpa & r
 }
 
 # reviewboard, used at my old job
@@ -1491,7 +1491,7 @@ tm() {
   (sleep $(calc "$* * 60") && mpv --no-config --volume 50 /a/bin/data/alarm.mp3) > /dev/null 2>&1 &
 }
 
-trg() { transmission-remote-gtk&r; }
+trg() { transmission-remote-gtk & r; }
 trc() {
   # example, set global upload limit to 100 kilobytes:
   # trc -u 100
@@ -1585,10 +1585,10 @@ vpncmd() {
   m sudo -E env "PATH=$PATH" nsenter -t $(pgrep -f "/usr/sbin/openvpn .* --config /etc/openvpn/.*client.conf") -n -m "$@"
 }
 vpnf() {
-  vpncmd sudo -E -u iank env "PATH=$PATH" abrowser -no-remote -P vpn &r
+  vpncmd sudo -E -u iank env "PATH=$PATH" abrowser -no-remote -P vpn & r
 }
 vpn2f() {
-  vpncmd sudo -u iank env "PATH=$PATH" abrowser -no-remote -P vpn2 &r
+  vpncmd sudo -u iank env "PATH=$PATH" abrowser -no-remote -P vpn2 & r
 }
 
 vpni() {
index 4a1ab215d6649eb69d9f2922247246c0ae3f27b6..e9699408655ccb6aa4e6a52271937a2edb7b6e09 100755 (executable)
@@ -152,7 +152,7 @@ EOF
 
   sudo dd of=/etc/systemd/system/keyscriptoff.service <<'EOF'
 [Unit]
-Description=keyscriptoffIMG_20200803_221621
+Description=keyscriptoff
 
 [Service]
 Type=oneshot
diff --git a/iboot b/iboot
index 78805bfa189dc7c9cdd8732a5bbb6fa750c021d6..bc84f6ca7be1b5874472c204f1abfd49e8d01bbd 100644 (file)
--- a/iboot
+++ b/iboot
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+## in development, meant to be run manually
+
 [[ $EUID == 0 ]] || exec sudo -E "$script" "$@"
 
 if ! test "$BASH_VERSION"; then echo "error: shell is not bash" >&2; exit 1; fi
@@ -9,12 +11,13 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${P
 
 set -x
 
+d=(/dev/mapper/crypt_dev*)
+d=${d[0]}
+
+mount -o subvol=root_trisquelnabia $d /mnt
 
-boot_part=$(awk '$2 == "/boot" {print $1}' /etc/mtab)
-boot_dev=${boot_part%[0-9]*}
-# from partition.DEFAULT
-new_boot_part=${boot_dev}4
-mount -o subvol=debianbuster_bootstrap $new_boot_part /mnt
+boot_part=$(awk '$2 == "/" {print $1}' /etc/mtab)
+mount -o subvol=boot_trisquelnabia $boot_part /mnt/boot
 
 cd /mnt
 mount -o bind /dev dev
@@ -22,3 +25,5 @@ mount -o bind /proc proc
 mount -o bind /sys sys
 mkdir -p boot/efi
 mount $(awk '$2 == "/boot/efi" {print $1}' /etc/mtab) boot/efi
+chroot .
+# then run zboot-chroot
index f26861bdfcff825425fa9e2addc3d84850286623..a2f056cc8081e281f8127649c43cce5d17f47812 100755 (executable)
@@ -19,6 +19,16 @@ sed="sed --follow-symlinks"
 # /sbin/update-initramfs: 157: mkinitramfs: not found
 PATH="/sbin:$PATH"
 
+if [[ $INVOCATION_ID ]]; then
+  if [[ -e /b/bash_unpublished/source-state ]]; then
+    source /b/bash_unpublished/source-state
+  fi
+  if [[ $MAIL_HOST && $MAIL_HOST != $HOSTNAME ]]; then
+    echo "$0: exiting early: running under systemd as MAIL_HOST"
+    exit 0
+  fi
+fi
+
 if [[ ! -e /tmp/keyscript-off ]]; then
   if [[ $($sed -rn 's/^ID=(.*)/\1/p' /etc/os-release) == arch ]]; then
     if ! grep -q '^\s*FILES=' /etc/mkinitcpio.conf; then
diff --git a/sl/.iank/ex b/sl/.iank/ex
deleted file mode 120000 (symlink)
index 420c5b2..0000000
+++ /dev/null
@@ -1 +0,0 @@
-/b/exim-tools/ex
\ No newline at end of file